<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten.build.svntools</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="bitten-module.html">Package&nbsp;bitten</a> ::
        <a href="bitten.build-module.html">Package&nbsp;build</a> ::
        Module&nbsp;svntools
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module svntools</h1><p class="nomargin-top"></p>
Recipe commands for Subversion.

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Classes</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="bitten.build.svntools.Error-class.html" class="summary-name">Error</a>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Functions</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.svntools-module.html#copytree" class="summary-sig-name">copytree</a>(<span class="summary-sig-arg">src</span>,
        <span class="summary-sig-arg">dst</span>,
        <span class="summary-sig-arg">symlinks</span>=<span class="summary-sig-default">False</span>)</span><br />
      Recursively copy a directory tree using copy2().</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.svntools-module.html#checkout" class="summary-sig-name">checkout</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">url</span>,
        <span class="summary-sig-arg">path</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">revision</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">dir_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">verbose</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">shared_path</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">username</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">no_auth_cache</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span><br />
      Perform a checkout from a Subversion repository.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.svntools-module.html#export" class="summary-sig-name">export</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">url</span>,
        <span class="summary-sig-arg">path</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">revision</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">dir_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">username</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">no_auth_cache</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span><br />
      Perform an export from a Subversion repository.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.svntools-module.html#update" class="summary-sig-name">update</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">revision</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">dir_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">username</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">no_auth_cache</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span><br />
      Update the local working copy from the Subversion repository.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Variables</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="log"></a><span class="summary-name">log</span> = <code title="logging.getLogger('bitten.build.svntools')">logging.getLogger('bitten.build.svntools')</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'bitten.build'"><code class="variable-quote">'</code><code class="variable-string">bitten.build</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Function Details</span></td>
</tr>
</table>
<a name="copytree"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">copytree</span>(<span class="sig-arg">src</span>,
        <span class="sig-arg">dst</span>,
        <span class="sig-arg">symlinks</span>=<span class="sig-default">False</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  <p>Recursively copy a directory tree using copy2().</p>
<p>If exception(s) occur, an Error is raised with a list of reasons.</p>
<p>If the optional symlinks flag is true, symbolic links in the
source tree result in symbolic links in the destination tree; if
it is false, the contents of the files pointed to by symbolic
links are copied.</p>
<p>Adapted from shtuil.copytree</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="checkout"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">checkout</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">url</span>,
        <span class="sig-arg">path</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">revision</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">dir_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">verbose</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">shared_path</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">username</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">no_auth_cache</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Perform a checkout from a Subversion repository.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>url</code></strong> - the URL of the repository</li>
        <li><strong class="pname"><code>path</code></strong> - the path inside the repository</li>
        <li><strong class="pname"><code>revision</code></strong> - the revision to check out</li>
        <li><strong class="pname"><code>dir_</code></strong> - the name of a local subdirectory to check out into</li>
        <li><strong class="pname"><code>verbose</code></strong> - whether to log the list of checked out files</li>
        <li><strong class="pname"><code>shared_path</code></strong> - a shared directory to do the checkout in, before copying to dir_</li>
        <li><strong class="pname"><code>username</code></strong> - a username of the repository</li>
        <li><strong class="pname"><code>password</code></strong> - a password of the repository</li>
        <li><strong class="pname"><code>no_auth_cache</code></strong> - do not cache authentication tokens</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="export"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">export</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">url</span>,
        <span class="sig-arg">path</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">revision</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">dir_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">username</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">no_auth_cache</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Perform an export from a Subversion repository.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>url</code></strong> - the URL of the repository</li>
        <li><strong class="pname"><code>path</code></strong> - the path inside the repository</li>
        <li><strong class="pname"><code>revision</code></strong> - the revision to check out</li>
        <li><strong class="pname"><code>dir_</code></strong> - the name of a local subdirectory to export out into</li>
        <li><strong class="pname"><code>username</code></strong> - a username of the repository</li>
        <li><strong class="pname"><code>password</code></strong> - a password of the repository</li>
        <li><strong class="pname"><code>no_auth_cache</code></strong> - do not cache authentication tokens</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="update"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">update</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">revision</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">dir_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">username</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">no_auth_cache</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">false</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Update the local working copy from the Subversion repository.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>revision</code></strong> - the revision to check out</li>
        <li><strong class="pname"><code>dir_</code></strong> - the name of a local subdirectory containing the working copy</li>
        <li><strong class="pname"><code>username</code></strong> - a username of the repository</li>
        <li><strong class="pname"><code>password</code></strong> - a password of the repository</li>
        <li><strong class="pname"><code>no_auth_cache</code></strong> - do not cache authentication tokens</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:35 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
